import { ConnectionService } from "../../../domain/services/Connection.service";
declare const _default: {
    name: string;
    emits: string[];
    components: {
        ItemConnection: import("vue").DefineComponent<{}, {}, any, import("vue").ComputedOptions, import("vue").MethodOptions, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{}>>, {}>;
    };
    props: {
        selectedItem: {
            type: StringConstructor;
            default: string;
        };
        object: {
            type: StringConstructor;
            default: string;
        };
        schema: {
            type: StringConstructor;
            default: string;
        };
        tableName: {
            type: StringConstructor;
            default: string;
        };
        typeConnection: {
            type: StringConstructor;
            default: string;
        };
        label: {
            type: StringConstructor;
            default: string;
        };
        showViews: {
            type: BooleanConstructor;
            default: boolean;
        };
        filterConnection: {
            type: BooleanConstructor;
            default: boolean;
        };
        filterTypeConnection: {
            type: StringConstructor;
            default: string;
        };
    };
    data: () => {
        connectionService: ConnectionService;
        connections: any[];
        columnList: any[];
        idConnection: string;
        schemaList: any[];
        source: string;
        showSpinner: boolean;
        isEditing: boolean;
    };
    methods: {
        getSchemaList(schemaList: []): void;
        getSource(source: String): void;
        selectedSchema(schema: string): void;
        selectItemConnection(idSelected: number): void;
        getColumns(columnList: []): void;
        hasFilterConnection(): void;
        hasFilterTypeConnection(): void;
        editing(): void;
        getConnectionList(): Promise<void>;
    };
    watch: {
        schemaList: () => void;
        source: () => void;
        columnList: () => void;
        selectedItem: () => Promise<void>;
    };
    mounted(): Promise<void>;
};
export default _default;
